/*
  Name : other.hpp
  Copyright : MARTY & FOK
  Authors : MARTY Sbastien & FOK Pierre
  Description: file which contents all other functions
*/

#ifndef _OTHER_HPP_
#define _OTHER_HPP_

#include "carte.hpp"
#include "param.h"
#include "util.h"
#include "temps.h"
#include <jwsmtp/jwsmtp.h>
#include "shareData.hpp"
#include "prestataire.h"


extern shareData dataVal;            //the structure which contents the aquarium configuration, comes from main.cpp
extern pthread_mutex_t mut;          //variable of exclusion, comes from main.cpp
extern config cfg;

void send_mail(string message, connexion &c);
void insert_error(connexion &c,short type);
#endif
