-- phpMyAdmin SQL Dump
-- version 2.6.1
-- http://www.phpmyadmin.net
-- 
-- Serveur: localhost
-- Généré le : Samedi 03 Juin 2006 à 13:03
-- Version du serveur: 4.1.9
-- Version de PHP: 4.3.10
-- 
-- Base de données: `automate`
-- 

-- --------------------------------------------------------

-- 
-- Structure de la table `destinataire`
-- 

CREATE TABLE `destinataire` (
  `id` tinyint(4) NOT NULL auto_increment,
  `tel` varchar(11) NOT NULL default '',
  PRIMARY KEY  (`id`),
  FULLTEXT KEY `tel` (`tel`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- 
-- Contenu de la table `destinataire`
-- 


-- --------------------------------------------------------

-- 
-- Structure de la table `error`
-- 

CREATE TABLE `error` (
  `id` int(11) NOT NULL auto_increment,
  `date` date NOT NULL default '0000-00-00',
  `time` time NOT NULL default '00:00:00',
  `type` varchar(10) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='error class' AUTO_INCREMENT=8 ;

-- 
-- Contenu de la table `error`
-- 


-- --------------------------------------------------------

-- 
-- Structure de la table `log`
-- 

CREATE TABLE `log` (
  `id` bigint(20) NOT NULL auto_increment,
  `date` date NOT NULL default '0000-00-00',
  `time` time NOT NULL default '00:00:00',
  `message` varchar(30) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=33910 ;

-- 
-- Contenu de la table `log`
-- 


-- --------------------------------------------------------

-- 
-- Structure de la table `login`
-- 

CREATE TABLE `login` (
  `id` tinyint(4) NOT NULL auto_increment,
  `nom` varchar(20) NOT NULL default '',
  `pass` varchar(20) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=5 ;

-- 
-- Contenu de la table `login`
-- 

INSERT INTO `login` VALUES (3, 'admin', 'admin');
INSERT INTO `login` VALUES (4, 'invite', 'invite');

-- --------------------------------------------------------

-- 
-- Structure de la table `osmolation`
-- 

CREATE TABLE `osmolation` (
  `id` bigint(20) NOT NULL auto_increment,
  `day` date NOT NULL default '0000-00-00',
  `time` time NOT NULL default '00:00:00',
  `timeend` time NOT NULL default '00:00:00',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='osmolation table' AUTO_INCREMENT=1 ;

-- 
-- Contenu de la table `osmolation`
-- 


-- --------------------------------------------------------

-- 
-- Structure de la table `parametres`
-- 

CREATE TABLE `parametres` (
  `id` tinyint(4) NOT NULL auto_increment,
  `nom` text NOT NULL,
  `timerdebut` time NOT NULL default '00:00:00',
  `timerfin` time NOT NULL default '00:00:00',
  `button` tinyint(3) unsigned NOT NULL default '0',
  `config` text NOT NULL,
  `nb` tinyint(4) NOT NULL default '0',
  `forced` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='parameters table' AUTO_INCREMENT=64 ;

-- 
-- Contenu de la table `parametres`
-- 

INSERT INTO `parametres` VALUES (1, 'hqi', '12:00:00', '22:00:00', 1, 'init', 0, 0);
INSERT INTO `parametres` VALUES (2, 'blue', '10:00:00', '23:00:00', 1, 'init', 0, 0);
INSERT INTO `parametres` VALUES (3, 'pump', '09:30:00', '20:30:00', 1, 'init', 0, 0);
INSERT INTO `parametres` VALUES (4, 'rah', '00:15:00', '02:30:00', 1, 'init', 0, 0);
INSERT INTO `parametres` VALUES (5, 'pdoseuse', '13:00:00', '13:30:00', 0, 'init', 1, 0);
INSERT INTO `parametres` VALUES (6, 'pdoseuse', '13:40:00', '13:42:00', 0, 'init', 2, 0);
INSERT INTO `parametres` VALUES (7, 'pdoseuse', '00:00:00', '00:00:00', 0, 'init', 3, 0);
INSERT INTO `parametres` VALUES (8, 'pdoseuse', '00:00:00', '00:00:00', 0, 'init', 4, 0);
INSERT INTO `parametres` VALUES (9, 'pdoseuse', '00:00:00', '00:00:00', 0, 'init', 5, 0);
INSERT INTO `parametres` VALUES (10, 'mail', '00:00:00', '00:00:00', 0, '', 2, 0);
INSERT INTO `parametres` VALUES (11, 'mail', '00:00:00', '00:00:00', 0, '', 1, 0);
INSERT INTO `parametres` VALUES (12, 'mail', '00:00:00', '00:00:00', 0, '', 3, 0);
INSERT INTO `parametres` VALUES (13, 'input', '00:00:00', '00:00:00', 0, 'stop_pump', 1, 0);
INSERT INTO `parametres` VALUES (14, 'input', '00:00:00', '00:00:00', 0, 'flowmeter', 2, 0);
INSERT INTO `parametres` VALUES (15, 'input', '00:00:00', '00:00:00', 0, 'osmolation', 3, 0);
INSERT INTO `parametres` VALUES (16, 'input', '00:00:00', '00:00:00', 0, 'reserv', 4, 0);
INSERT INTO `parametres` VALUES (17, 'input', '00:00:00', '00:00:00', 0, 'high', 5, 0);
INSERT INTO `parametres` VALUES (18, 'output', '00:00:00', '00:00:00', 1, 'hqi', 1, 0);
INSERT INTO `parametres` VALUES (19, 'output', '00:00:00', '00:00:00', 1, 'pump', 2, 0);
INSERT INTO `parametres` VALUES (20, 'output', '00:00:00', '00:00:00', 0, 'osmolation', 3, 0);
INSERT INTO `parametres` VALUES (21, 'output', '00:00:00', '00:00:00', 0, 'skimmer', 4, 0);
INSERT INTO `parametres` VALUES (22, 'output', '00:00:00', '00:00:00', 0, '', 5, 0);
INSERT INTO `parametres` VALUES (23, 'output', '00:00:00', '00:00:00', 1, 'temp', 6, 0);
INSERT INTO `parametres` VALUES (24, 'output', '00:00:00', '00:00:00', 0, 'rah', 7, 0);
INSERT INTO `parametres` VALUES (25, 'output', '00:00:00', '00:00:00', 0, '', 8, 0);
INSERT INTO `parametres` VALUES (26, 'osmolation', '00:00:00', '00:00:00', 0, '66', 30, 0);
INSERT INTO `parametres` VALUES (27, 'debitosmolation', '00:00:00', '00:00:00', 0, '66', 0, 0);
INSERT INTO `parametres` VALUES (28, 'starthqi', '00:00:00', '00:00:00', 0, '', 20, 0);
INSERT INTO `parametres` VALUES (63, 'start', '00:00:00', '00:00:00', 0, '', 0, 0);
INSERT INTO `parametres` VALUES (30, 'thqi', '00:00:00', '00:00:00', 0, '29', 0, 0);
INSERT INTO `parametres` VALUES (32, 'osmolation', '00:00:00', '00:00:00', 0, 'init', 30, 0);
INSERT INTO `parametres` VALUES (33, 'heating', '00:00:00', '00:00:00', 0, 'init', 0, 0);
INSERT INTO `parametres` VALUES (34, 'flowmeter', '00:00:00', '00:00:00', 0, '1800.0', 0, 0);
INSERT INTO `parametres` VALUES (35, 'sms', '00:00:00', '00:00:00', 0, '0', 0, 0);
INSERT INTO `parametres` VALUES (36, 'lcd', '00:00:00', '00:00:00', 0, '0', 0, 0);
INSERT INTO `parametres` VALUES (37, 'ventilator', '00:00:00', '00:00:00', 0, '25', 0, 0);
INSERT INTO `parametres` VALUES (38, 'loglcd', '00:00:00', '00:00:00', 0, '0', 0, 0);
INSERT INTO `parametres` VALUES (39, 'skimmer', '15:00:00', '11:00:00', 1, 'init', 0, 0);

-- --------------------------------------------------------

-- 
-- Structure de la table `prestataire`
-- 

CREATE TABLE `prestataire` (
  `id` tinyint(4) NOT NULL auto_increment,
  `nom` varchar(20) NOT NULL default '',
  `hote` varchar(100) NOT NULL default '',
  `script` varchar(100) NOT NULL default '',
  `login` varchar(100) NOT NULL default '',
  `pass` varchar(10) NOT NULL default '',
  `selec` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  FULLTEXT KEY `nom` (`nom`),
  FULLTEXT KEY `login` (`login`,`pass`),
  FULLTEXT KEY `hote` (`hote`,`script`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=5 ;

-- 
-- Contenu de la table `prestataire`
-- 

INSERT INTO `prestataire` VALUES (3, 'tm4b', 'tm4b.com', '/client/api/http.php', '', '', 0);
INSERT INTO `prestataire` VALUES (4, 'leSMS', 'leSMS.com', '/http.php', '', '', 1);

-- --------------------------------------------------------

-- 
-- Structure de la table `temperature`
-- 

CREATE TABLE `temperature` (
  `t` double(4,1) NOT NULL default '0.0',
  `nom` char(10) NOT NULL default '',
  `i` int(11) NOT NULL default '0',
  PRIMARY KEY  (`nom`,`i`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- 
-- Contenu de la table `temperature`
-- 

INSERT INTO `temperature` VALUES (24.3, 'current', 0);
INSERT INTO `temperature` VALUES (27.1, 'day', 0);
INSERT INTO `temperature` VALUES (-23.0, 'min', 14);
INSERT INTO `temperature` VALUES (77.6, 'max', 14);
INSERT INTO `temperature` VALUES (27.1, 'day', 1);
INSERT INTO `temperature` VALUES (27.1, 'day', 2);
INSERT INTO `temperature` VALUES (26.7, 'day', 3);
INSERT INTO `temperature` VALUES (26.3, 'day', 4);
INSERT INTO `temperature` VALUES (26.3, 'day', 5);
INSERT INTO `temperature` VALUES (26.3, 'day', 6);
INSERT INTO `temperature` VALUES (25.9, 'day', 7);
INSERT INTO `temperature` VALUES (25.9, 'day', 8);
INSERT INTO `temperature` VALUES (25.9, 'day', 9);
INSERT INTO `temperature` VALUES (25.9, 'day', 10);
INSERT INTO `temperature` VALUES (25.9, 'day', 11);
INSERT INTO `temperature` VALUES (25.9, 'day', 12);
INSERT INTO `temperature` VALUES (25.9, 'day', 13);
INSERT INTO `temperature` VALUES (25.9, 'day', 14);
INSERT INTO `temperature` VALUES (25.9, 'day', 15);
INSERT INTO `temperature` VALUES (26.3, 'day', 16);
INSERT INTO `temperature` VALUES (26.3, 'day', 17);
INSERT INTO `temperature` VALUES (26.7, 'day', 18);
INSERT INTO `temperature` VALUES (26.7, 'day', 19);
INSERT INTO `temperature` VALUES (27.1, 'day', 20);
INSERT INTO `temperature` VALUES (27.1, 'day', 21);
INSERT INTO `temperature` VALUES (27.5, 'day', 22);
INSERT INTO `temperature` VALUES (27.5, 'day', 23);
INSERT INTO `temperature` VALUES (23.0, 'min', 13);
INSERT INTO `temperature` VALUES (77.6, 'max', 13);
INSERT INTO `temperature` VALUES (10.1, 'min', 22);
INSERT INTO `temperature` VALUES (77.6, 'max', 22);
INSERT INTO `temperature` VALUES (-23.0, 'min', 23);
INSERT INTO `temperature` VALUES (77.6, 'max', 23);
INSERT INTO `temperature` VALUES (-23.0, 'min', 0);
INSERT INTO `temperature` VALUES (77.6, 'max', 0);
INSERT INTO `temperature` VALUES (-23.0, 'min', 1);
INSERT INTO `temperature` VALUES (77.6, 'max', 1);
INSERT INTO `temperature` VALUES (-23.0, 'min', 2);
INSERT INTO `temperature` VALUES (77.6, 'max', 2);
INSERT INTO `temperature` VALUES (-23.4, 'min', 3);
INSERT INTO `temperature` VALUES (77.6, 'max', 3);
INSERT INTO `temperature` VALUES (-23.4, 'min', 4);
INSERT INTO `temperature` VALUES (77.6, 'max', 4);
INSERT INTO `temperature` VALUES (-23.4, 'min', 5);
INSERT INTO `temperature` VALUES (77.6, 'max', 5);
INSERT INTO `temperature` VALUES (-23.0, 'min', 6);
INSERT INTO `temperature` VALUES (77.6, 'max', 6);
INSERT INTO `temperature` VALUES (-23.0, 'min', 7);
INSERT INTO `temperature` VALUES (77.6, 'max', 7);
INSERT INTO `temperature` VALUES (-23.0, 'min', 8);
INSERT INTO `temperature` VALUES (77.6, 'max', 8);
INSERT INTO `temperature` VALUES (-23.0, 'min', 9);
INSERT INTO `temperature` VALUES (77.6, 'max', 9);
INSERT INTO `temperature` VALUES (-23.0, 'min', 10);
INSERT INTO `temperature` VALUES (77.6, 'max', 10);
INSERT INTO `temperature` VALUES (-23.0, 'min', 11);
INSERT INTO `temperature` VALUES (77.6, 'max', 11);
INSERT INTO `temperature` VALUES (-23.0, 'min', 12);
INSERT INTO `temperature` VALUES (77.6, 'max', 12);
INSERT INTO `temperature` VALUES (-23.0, 'min', 15);
INSERT INTO `temperature` VALUES (77.6, 'max', 15);
INSERT INTO `temperature` VALUES (-23.0, 'min', 16);
INSERT INTO `temperature` VALUES (77.6, 'max', 16);
INSERT INTO `temperature` VALUES (-23.0, 'min', 17);
INSERT INTO `temperature` VALUES (77.6, 'max', 17);
INSERT INTO `temperature` VALUES (-23.0, 'min', 18);
INSERT INTO `temperature` VALUES (77.6, 'max', 18);
INSERT INTO `temperature` VALUES (-23.0, 'min', 19);
INSERT INTO `temperature` VALUES (77.6, 'max', 19);
INSERT INTO `temperature` VALUES (-23.0, 'min', 20);
INSERT INTO `temperature` VALUES (77.6, 'max', 20);
INSERT INTO `temperature` VALUES (10.1, 'min', 21);
INSERT INTO `temperature` VALUES (77.6, 'max', 21);
INSERT INTO `temperature` VALUES (25.9, 'maxmonth', 9);
INSERT INTO `temperature` VALUES (23.2, 'minmonth', 9);
INSERT INTO `temperature` VALUES (27.5, 'maxmonth', 23);
INSERT INTO `temperature` VALUES (24.7, 'minmonth', 23);
INSERT INTO `temperature` VALUES (27.5, 'maxmonth', 22);
INSERT INTO `temperature` VALUES (24.7, 'minmonth', 22);
INSERT INTO `temperature` VALUES (27.1, 'maxmonth', 21);
INSERT INTO `temperature` VALUES (25.1, 'minmonth', 21);
INSERT INTO `temperature` VALUES (27.1, 'maxmonth', 20);
INSERT INTO `temperature` VALUES (24.7, 'minmonth', 20);
INSERT INTO `temperature` VALUES (27.1, 'maxmonth', 19);
INSERT INTO `temperature` VALUES (24.7, 'minmonth', 19);
INSERT INTO `temperature` VALUES (26.7, 'maxmonth', 18);
INSERT INTO `temperature` VALUES (24.3, 'minmonth', 18);
INSERT INTO `temperature` VALUES (26.3, 'maxmonth', 17);
INSERT INTO `temperature` VALUES (24.3, 'minmonth', 17);
INSERT INTO `temperature` VALUES (26.3, 'maxmonth', 16);
INSERT INTO `temperature` VALUES (23.9, 'minmonth', 16);
INSERT INTO `temperature` VALUES (26.3, 'maxmonth', 15);
INSERT INTO `temperature` VALUES (23.9, 'minmonth', 15);
INSERT INTO `temperature` VALUES (26.3, 'maxmonth', 14);
INSERT INTO `temperature` VALUES (23.9, 'minmonth', 14);
INSERT INTO `temperature` VALUES (25.9, 'maxmonth', 13);
INSERT INTO `temperature` VALUES (23.6, 'minmonth', 13);
INSERT INTO `temperature` VALUES (25.9, 'maxmonth', 12);
INSERT INTO `temperature` VALUES (23.2, 'minmonth', 12);
INSERT INTO `temperature` VALUES (25.9, 'maxmonth', 11);
INSERT INTO `temperature` VALUES (23.2, 'minmonth', 11);
INSERT INTO `temperature` VALUES (25.9, 'maxmonth', 10);
INSERT INTO `temperature` VALUES (23.2, 'minmonth', 10);
INSERT INTO `temperature` VALUES (25.9, 'maxmonth', 8);
INSERT INTO `temperature` VALUES (23.0, 'minmonth', 8);
INSERT INTO `temperature` VALUES (25.9, 'maxmonth', 7);
INSERT INTO `temperature` VALUES (23.0, 'minmonth', 7);
INSERT INTO `temperature` VALUES (26.3, 'maxmonth', 6);
INSERT INTO `temperature` VALUES (23.0, 'minmonth', 6);
INSERT INTO `temperature` VALUES (26.3, 'maxmonth', 5);
INSERT INTO `temperature` VALUES (23.9, 'minmonth', 5);
INSERT INTO `temperature` VALUES (26.7, 'maxmonth', 4);
INSERT INTO `temperature` VALUES (23.9, 'minmonth', 4);
INSERT INTO `temperature` VALUES (26.7, 'maxmonth', 3);
INSERT INTO `temperature` VALUES (23.9, 'minmonth', 3);
INSERT INTO `temperature` VALUES (27.1, 'maxmonth', 2);
INSERT INTO `temperature` VALUES (24.7, 'minmonth', 2);
INSERT INTO `temperature` VALUES (27.1, 'maxmonth', 1);
INSERT INTO `temperature` VALUES (24.3, 'minmonth', 1);
INSERT INTO `temperature` VALUES (27.1, 'maxmonth', 0);
INSERT INTO `temperature` VALUES (24.7, 'minmonth', 0);

-- --------------------------------------------------------

-- 
-- Structure de la table `water`
-- 

CREATE TABLE `water` (
  `type` varchar(20) NOT NULL default '',
  `quantity` double NOT NULL default '0',
  `date` date NOT NULL default '0000-00-00',
  PRIMARY KEY  (`type`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- 
-- Contenu de la table `water`
-- 

INSERT INTO `water` VALUES ('1', 0, '0000-00-00');
INSERT INTO `water` VALUES ('2', 0, '0000-00-00');
INSERT INTO `water` VALUES ('3', 0, '0000-00-00');
INSERT INTO `water` VALUES ('4', 0, '0000-00-00');
INSERT INTO `water` VALUES ('5', 0, '0000-00-00');
INSERT INTO `water` VALUES ('6', 0, '0000-00-00');
INSERT INTO `water` VALUES ('7', 0, '0000-00-00');
INSERT INTO `water` VALUES ('8', 0, '0000-00-00');
INSERT INTO `water` VALUES ('9', 0, '0000-00-00');
INSERT INTO `water` VALUES ('10', 0, '0000-00-00');
INSERT INTO `water` VALUES ('11', 0, '0000-00-00');
INSERT INTO `water` VALUES ('12', 0, '0000-00-00');
INSERT INTO `water` VALUES ('day', 0, '0000-00-00');
INSERT INTO `water` VALUES ('total', 0, '0000-00-00');
