#include "skimmer.hpp"

void Skimmer::init()
{
  state=0;
  state_sauv=0;
  stop=0;
  stop_sk=false;
  forced=false;
  state_high=0;
}


short Skimmer::getState_high()
{
  return state_high;
}

short Skimmer::getStop ()
{
  return stop;
}

bool Skimmer::getStop_sk ()
{
  return stop_sk;
}

bool Skimmer::getForced ()
{
  return forced;
}

void Skimmer::setState_high(short state_high)
{
  this->state_high=state_high;
}


void Skimmer::setStop(short stop)
{
  this->stop=stop;
}

void Skimmer::setStop_sk (bool stop_sk)
{
  this->stop_sk=stop_sk;
}

void Skimmer::setForced (bool forced)
{
  this->forced=forced;
}

void Skimmer::forceState(short forcedState,connexion &c,K8055 &k,config &cfg)
{
  forced=true;
//if the state is forced  
  if (state!=forcedState)
    {
      state_sauv=state;
      state=forcedState;
      k.change_state(c, cfg.OUTSKIMMER,state,"cumeur forced");
    }
}

void Skimmer::start (connexion &c,K8055 &k,config &cfg)
{
  state=1;
  state_sauv=state;
//remove the flag  
  forced=false;
  k.change_state(c, cfg.OUTSKIMMER,state,"cumeur");
}

void Skimmer::deborde(connexion &c,K8055 &k,config &cfg)
{
  state_high=1;
  state_sauv=state;
  state=0;
  k.change_state(c, cfg.OUTSKIMMER,state,"dcante pleine: cumeur");
  send_mail("dcantation pleine",c);
}
  
void Skimmer::debordePlus(connexion &c,K8055 &k,config &cfg)
{
  state_high=0;
  state=state_sauv;
  k.change_state(c,cfg.OUTSKIMMER,state,"niveau dcante normale: cumeur");
}

void Skimmer::stoppe(connexion &c,K8055 &k,config &cfg)
{
//if the skimmer is started
  if(state==1)
	{
	//stop the skimmer
  	stop_sk=true;
  	time(& t_sk);
  	stop=0;
	state=0;
  	k.change_state(c, cfg.OUTSKIMMER,state,"cumeur");
	}
}


void Skimmer::stoppePlus(connexion &c,K8055 &k,config &cfg)
{
//start the skimmer
stop_sk=false;
state=1;
k.change_state(c, cfg.OUTSKIMMER,state,"cumeur");
}



void Skimmer::changeState (short state,connexion &c,K8055 &k,config &cfg)
{
  this->state=state;
  //state_sauv=state;
  k.change_state(c, cfg.OUTSKIMMER,state,"cumeur");
}

void Skimmer::changing (short st,short captor_high,connexion&c,K8055&k,config&cfg)
{
  if (cfg.forced_skimmer!=0)
    forceState(cfg.forced_skimmer-1,c,k,cfg);

  else 
    {
            
//if the state of the skimmer is forced
      if(forced==true && state==0 && stop==0)
	start (c,k,cfg);
 
//if the water overflews for the first time      
      if (captor_high==1 && state_high==0) deborde (c,k,cfg);

//if the water back to the normal level for the first time      
      if (captor_high==0 && state_high==1)
	debordePlus(c,k,cfg);

//get the current time      
      time (&rawtime);

//if the skimmer is stopped for more than X min
      if(stop_sk==true && (difftime(rawtime,t_sk)>30))
	stoppePlus(c,k,cfg);

//if the physical button is pressed      
      if(stop==1 && stop_sk==false)
	stoppe (c,k,cfg);


if(state != st && captor_high==0 && state_high==0 && stop_sk==false) changeState(st,c,k,cfg);

    }
}
