#include "util.h"

connexion::connexion( string h,string b, string l, string p) : host(h), base(b), login(l), pass(p) {
mysqlpp::Connection con(true);

}


bool connexion::connect_to_db(){

con.connect((base.c_str()),(host.c_str()),(login.c_str()), (pass.c_str()));

    if ( con.connected()==false ) {
        cout << "Database connection failed." << host << base << login << pass << endl;return false;}
        
 //   }
 //   else cout << "Database connection successful\n";

    return true;
}


void connexion::interroger(){

mysqlpp::Query query = con.query();
query << "select * from parametres";
 
mysqlpp::Result res=query.store();
cout << "nb" << res.size();

Row row;
Result::iterator i;
for (i = res.begin(); i != res.end(); i++) {
row=*i;
cout << row["nom"] <<"\n";
}

}

void connexion::get_parameter(string nom, param & p,short n)
{
try{
mysqlpp::Query query = con.query();
query << "select * from parametres where nom='" << nom << "' AND nb='" << n << "'";
mysqlpp::Result res=query.store();


Row row;
Result::iterator i;
i = res.begin(); 
row=*i;
string s(row["timerdebut"]);
p.set_init_timer(s);
string s2(row["timerfin"]);
p.set_end_timer(s2);

short b(row["button"]);
p.set_button(b);

p.set_nb(n);
}

catch (BadQuery& er) {
        // Handle any connection or query errors that may come up
        cerr << "Error: " << er.what() << endl;
            }
    catch (BadConversion& er) {
        // Handle bad conversions
        cerr << "Error: " << er.what() << "\"." << endl
            << "retrieved data size: " << er.retrieved
            << " actual data size: " << er.actual_size << endl;
        
    }
    catch (exception& er) {
        cerr << "Error: " << er.what() << endl;
        
    }
}

//insert into osmolation table
int connexion::insert_osmolation(double quant)
{
double day=0,total=0,month=0;
Row row;
Result::iterator i;
mysqlpp::Query query= con.query();
mysqlpp::Result res;


try{
query << "SELECT * FROM water WHERE type='day' OR type='total' OR type= MONTH(NOW())";
res=query.store();
for (i = res.begin(); i != res.end(); i++)  
    {
    row=*i;
    string s(row["type"]);
    if (s=="total") total=(double)(row["quantity"]);
    else if (s=="day") day=(double)(row["quantity"]);
    	else month=(double)(row["quantity"]);
    }
    
    }
    catch (BadQuery& er) {
        // handle any connection or query errors that may come up
        cerr << "Error: " << er.what() << endl;
        return -1;
    }
    catch (BadConversion& er) { 
        // handle bad conversions
        cerr << "Error: " << er.what() << "\"." << endl
            << "retrieved data size: " << er.retrieved
            << " actual data size: " << er.actual_size << endl;
        return -1;
    }
    catch (exception& er) {
        cerr << "Error: " << er.what() << endl;
        return -1;
    }

day=day+quant;
month=month+quant;

try
    {
        
        query << "REPLACE INTO water (type,quantity) VALUES(\"day\",\"" << day << "\")";
        // execute a query that does not return a result set
        query.execute();
	query << "REPLACE INTO water (type,quantity) VALUES(MONTH(NOW()),\"" << month << "\")";
        // execute a query that does not return a result set
        query.execute();
	if (total==0)
		{
		query << "REPLACE INTO water (type,quantity,date) VALUES(\"total\",\"" << quant << "\",CURRENT_DATE())";
	       // execute a query that does not return a result set
       	query.execute();

		}
	else	
		{
		query <<"UPDATE water SET quantity='" << total+quant <<"' WHERE type='total'";

	       // execute a query that does not return a result set
       	query.execute();

		}        
        
    }
    catch (BadQuery& er) {
        // handle any connection or query errors that may come up
        cerr << "Error: " << er.what() << endl;
        return -1;
    }
    catch (BadConversion& er) { 
        // handle bad conversions
        cerr << "Error: " << er.what() << "\"." << endl
            << "retrieved data size: " << er.retrieved
            << " actual data size: " << er.actual_size << endl;
        return -1;
    }
    catch (exception& er) {
        cerr << "Error: " << er.what() << endl;
        return -1;
    }

return 0;
}

//insert into error table
int connexion::insert_error(short type)
{
Query query = con.query();
try
    {
        
        query << "INSERT INTO error (date,time,type) VALUES(CURRENT_DATE(),CURRENT_TIME(),\"" << type << "\")";

        // execute a query that does not return a result set
        query.execute();
        
        
    }
    catch (BadQuery& er) {
        // handle any connection or query errors that may come up
        cerr << "Error: " << er.what() << endl;
        return -1;
    }
    catch (BadConversion& er) { 
        // handle bad conversions
        cerr << "Error: " << er.what() << "\"." << endl
            << "retrieved data size: " << er.retrieved
            << " actual data size: " << er.actual_size << endl;
        return -1;
    }
    catch (exception& er) {
        cerr << "Error: " << er.what() << endl;
        return -1;
    }

return 0;
}

//insert into log table
int connexion::insert_log(string mess)
{
Query query = con.query();
string s2,st,h;
time_t rawtime;
char * temp;

	time ( &rawtime );
	s2=ctime(&rawtime);
	h=s2.substr(s2.find(":",0)-2,5);
	st=h+":"+mess;
	temp=strdup(st.c_str());
	pthread_mutex_lock(&mut);
	(dataVal.llogs).push_back(temp);    //when there is an alert, it is save in a list
	pthread_mutex_unlock(&mut);

try
    {
        
        query << "INSERT INTO log (date,time,message) VALUES(CURRENT_DATE(),CURRENT_TIME(),\"" << mess << "\")";
        // execute a query that does not return a result set
        query.execute();
        
        
    }
    catch (BadQuery& er) {
        // handle any connection or query errors that may come up
        cerr << "Error: " << er.what() << endl;
        return -1;
    }
    catch (BadConversion& er) { 
        // handle bad conversions
        cerr << "Error: " << er.what() << "\"." << endl
            << "retrieved data size: " << er.retrieved
            << " actual data size: " << er.actual_size << endl;
        return -1;
    }
    catch (exception& er) {
        cerr << "Error: " << er.what() << endl;
        return -1;
    }

return 0;
}

//insert into temperature table temperature for a specific hour, compute and store average temp,
int connexion::insert_temperature(double t)
{
double min,max;
mysqlpp::Result res;
Row row;
Result::iterator i;


Query query = con.query();
try
    {
        
        query << "REPLACE INTO temperature (t,nom,i) VALUES(\"" << t << "\",\"day\",HOUR(NOW()) )";

        // execute a query that does not return a result set
        query.execute();
        
        
    }
    catch (BadQuery& er) {
        // handle any connection or query errors that may come up
        cerr << "Error: " << er.what() << endl;
        return -1;
    }
    catch (BadConversion& er) { 
        // handle bad conversions
        cerr << "Error: " << er.what() << "\"." << endl
            << "retrieved data size: " << er.retrieved
            << " actual data size: " << er.actual_size << endl;
        return -1;
    }
    catch (exception& er) {
        cerr << "Error: " << er.what() << endl;
        return -1;
    }

// compute the min temperature for an hour
try{
//query = con.query();
query << "select * from temperature where nom=\"min\" AND i=HOUR(NOW())";
res=query.store();
if (res.size()==0) 
    {
    min=t;
    }
else
    {
    i = res.begin(); 
    row=*i;
    min= (double)(row["t"]);
    if (min > t) min=t;
    }


query << "REPLACE INTO temperature (t,nom,i) VALUES(\"" << min << "\",\"min\",HOUR(NOW()) )";

        // execute a query that does not return a result set
        query.execute();
}

catch (BadQuery& er) {
        // Handle any connection or query errors that may come up
        cerr << "Error: " << er.what() << endl;
            }
    catch (BadConversion& er) {
        // Handle bad conversions
        cerr << "Error: " << er.what() << "\"." << endl
            << "retrieved data size: " << er.retrieved
            << " actual data size: " << er.actual_size << endl;
        
    }
    catch (exception& er) {
        cerr << "Error: " << er.what() << endl;
        
    }

// compute the max temperature for an hour
try{
//query = con.query();
query << "select * from temperature where nom=\"max\" AND i=HOUR(NOW())";
res=query.store();
if (res.size()==0) 
    {
    max=t;
    }
else
    {
    i = res.begin(); 
    row=*i;
    max= (double)(row["t"]);
    if (max < t) max=t;
    }


query << "REPLACE INTO temperature (t,nom,i) VALUES(\"" << max << "\",\"max\",HOUR(NOW()) )";

        // execute a query that does not return a result set
        query.execute();
}

catch (BadQuery& er) {
        // Handle any connection or query errors that may come up
        cerr << "Error: " << er.what() << endl;
            }
    catch (BadConversion& er) {
        // Handle bad conversions
        cerr << "Error: " << er.what() << "\"." << endl
            << "retrieved data size: " << er.retrieved
            << " actual data size: " << er.actual_size << endl;
        
    }
    catch (exception& er) {
        cerr << "Error: " << er.what() << endl;
        
    }

// compute the min temperature of the month for an hour
try{
//query = con.query();
query << "select * from temperature where nom=\"minmonth\" AND i=HOUR(NOW())";
res=query.store();
if (res.size()==0) 
    {
    min=t;
    }
else
    {
    i = res.begin(); 
    row=*i;
    min= (double)(row["t"]);
    if (min > t) min=t;
    }


query << "REPLACE INTO temperature (t,nom,i) VALUES(\"" << min << "\",\"minmonth\",HOUR(NOW()) )";

        // execute a query that does not return a result set
        query.execute();
}

catch (BadQuery& er) {
        // Handle any connection or query errors that may come up
        cerr << "Error: " << er.what() << endl;
            }
    catch (BadConversion& er) {
        // Handle bad conversions
        cerr << "Error: " << er.what() << "\"." << endl
            << "retrieved data size: " << er.retrieved
            << " actual data size: " << er.actual_size << endl;
        
    }
    catch (exception& er) {
        cerr << "Error: " << er.what() << endl;
        
    }

// compute the max temperature of the month for an hour
try{
//query = con.query();
query << "select * from temperature where nom=\"maxmonth\" AND i=HOUR(NOW())";
res=query.store();
if (res.size()==0) 
    {
    max=t;
    }
else
    {
    i = res.begin(); 
    row=*i;
    max= (double)(row["t"]);
    if (max < t) max=t;
    }


query << "REPLACE INTO temperature (t,nom,i) VALUES(\"" << max << "\",\"maxmonth\",HOUR(NOW()) )";

        // execute a query that does not return a result set
        query.execute();
}

catch (BadQuery& er) {
        // Handle any connection or query errors that may come up
        cerr << "Error: " << er.what() << endl;
            }
    catch (BadConversion& er) {
        // Handle bad conversions
        cerr << "Error: " << er.what() << "\"." << endl
            << "retrieved data size: " << er.retrieved
            << " actual data size: " << er.actual_size << endl;
        
    }
    catch (exception& er) {
        cerr << "Error: " << er.what() << endl;
        
    }

return 0;
}


//insert into temperature table the current temperature
int connexion::insert_current_temperature(double t)
{
Query query = con.query();
try
    {
        
    query << "REPLACE INTO temperature (t,nom) VALUES(\"" << t << "\",\"current\" )";

        // execute a query that does not return a result set
        query.execute();
        
        
    }
    catch (BadQuery& er) {
        // handle any connection or query errors that may come up
        cerr << "Error: " << er.what() << endl;
        return -1;
    }
    catch (BadConversion& er) { 
        // handle bad conversions
        cerr << "Error: " << er.what() << "\"." << endl
            << "retrieved data size: " << er.retrieved
            << " actual data size: " << er.actual_size << endl;
        return -1;
    }
    catch (exception& er) {
        cerr << "Error: " << er.what() << endl;
        return -1;
    }

return 0;
}


// init of output state
int connexion::init_out()
{

mysqlpp::Result res;
Row row;
Result::iterator i;
int j;
Query query = con.query();

for(j=1;j<=8;j++)
{   
try
    {
        
        query << "UPDATE parametres SET button=\"0\"  WHERE nom=\"output\" AND nb=\"" << j << "\"";

        // execute a query that does not return a result set
        query.execute();
                
        
    }
    catch (BadQuery& er) {
        // handle any connection or query errors that may come up
        cerr << "Error: " << er.what() << endl;
        return -1;
    }
    catch (BadConversion& er) { 
        // handle bad conversions
        cerr << "Error: " << er.what() << "\"." << endl
            << "retrieved data size: " << er.retrieved
            << " actual data size: " << er.actual_size << endl;
        return -1;
    }
    catch (exception& er) {
        cerr << "Error: " << er.what() << endl;
        return -1;
    }
}

return 0;
}


// maj of output state
int connexion::maj_out(short sortie,short state)
{

mysqlpp::Result res;
Row row;
Result::iterator i;
Query query = con.query();
try
    {
        
        query << "UPDATE parametres SET button=\"" << state << "\" WHERE nom=\"output\" AND nb=\"" << sortie << "\"";

        // execute a query that does not return a result set
        query.execute();
        
        
    }
    catch (BadQuery& er) {
        // handle any connection or query errors that may come up
        cerr << "Error: " << er.what() << endl;
        return -1;
    }
    catch (BadConversion& er) { 
        // handle bad conversions
        cerr << "Error: " << er.what() << "\"." << endl
            << "retrieved data size: " << er.retrieved
            << " actual data size: " << er.actual_size << endl;
        return -1;
    }
    catch (exception& er) {
        cerr << "Error: " << er.what() << endl;
        return -1;
    }


return 0;
}


//delete log, error of the previous month
int connexion::maj_log()
{

Query query = con.query();
try
    {
        
        query << "DELETE FROM log WHERE (DATEDIFF(CURDATE(),date)>31)";
        // execute a query that does not return a result set
        query.execute();
        query << "DELETE FROM error WHERE (DATEDIFF(CURDATE(),date)>31)";
        // execute a query that does not return a result set
        query.execute();
        
    }
    catch (BadQuery& er) {
        // handle any connection or query errors that may come up
        cerr << "Error: " << er.what() << endl;
        return -1;
    }
    catch (BadConversion& er) { 
        // handle bad conversions
        cerr << "Error: " << er.what() << "\"." << endl
            << "retrieved data size: " << er.retrieved
            << " actual data size: " << er.actual_size << endl;
        return -1;
    }
    catch (exception& er) {
        cerr << "Error: " << er.what() << endl;
        return -1;
    }

return 0;
}



//maj temperature table => minmonth and maxmonth deleted 
int connexion::maj_temperature()
{
Query query = con.query();

try
    {
        
        query << "DELETE FROM temperature WHERE (nom=\"minmonth\" OR nom=\"maxmonth\" )";
        // execute a query that does not return a result set
        query.execute();
        
        
    }
    catch (BadQuery& er) {
        // handle any connection or query errors that may come up
        cerr << "Error: " << er.what() << endl;
        return -1;
    }
    catch (BadConversion& er) { 
        // handle bad conversions
        cerr << "Error: " << er.what() << "\"." << endl
            << "retrieved data size: " << er.retrieved
            << " actual data size: " << er.actual_size << endl;
        return -1;
    }
    catch (exception& er) {
        cerr << "Error: " << er.what() << endl;
        return -1;
    }

return 0;
}

// getting the config from the database automate
void connexion::get_config(config &cfg)
{
short n;
Row row;
Result::iterator i;
mysqlpp::Query query= con.query();
mysqlpp::Result res;
short inp[]= {1,2,3,4,5};
short out[]={1,2,3,4,5,6,7,8};

try{
query << "select * from parametres where nom='mail' ORDER BY nb";
res=query.store();



for (i = res.begin(); i != res.end(); i++)  
    {
    row=*i;
    n= (int)(row["nb"]);
    string s(row["config"]);
    if (n==1) cfg.EXP=s;
    if (n==2) cfg.DEST=s;
    if (n==3) cfg.SMTP=s;
    }
    
}

catch (BadQuery& er) {
        // Handle any connection or query errors that may come up
        cerr << "Error: " << er.what() << endl;
            }
    catch (BadConversion& er) {
        // Handle bad conversions
        cerr << "Error: " << er.what() << "\"." << endl
            << "retrieved data size: " << er.retrieved
            << " actual data size: " << er.actual_size << endl;
        
    }
    catch (exception& er) {
        cerr << "Error: " << er.what() << endl;
        
    }

try{
query << "select * from parametres where nom='input'";
res=query.store();


cfg.STOP_PUMP=0;
cfg.STOP_SKIMMER=0;
cfg.FLOW=0;
for (i = res.begin(); i != res.end(); i++)  
    {
    row=*i;
    n= (int)(row["nb"]);
    string s(row["config"]);
    if (s=="stop_pump") cfg.STOP_PUMP=inp[n-1] ;
    if (s=="stop_skimmer") cfg.STOP_SKIMMER=inp[n-1] ;
    if (s=="osmolation") cfg.OSMOLATION=inp[n-1] ;
    if (s=="reserv") cfg.RESERV=inp[n-1] ;
    if (s=="high") cfg.HIGH=inp[n-1] ;
    if (s=="flowmeter") cfg.FLOW=inp[n-1] ;

    }
    
}

catch (BadQuery& er) {
        // Handle any connection or query errors that may come up
        cerr << "Error: " << er.what() << endl;
            }
    catch (BadConversion& er) {
        // Handle bad conversions
        cerr << "Error: " << er.what() << "\"." << endl
            << "retrieved data size: " << er.retrieved
            << " actual data size: " << er.actual_size << endl;
        
    }
    catch (exception& er) {
        cerr << "Error: " << er.what() << endl;
        
    }

try{
query << "select * from parametres where nom='output'";
res=query.store();



for (i = res.begin(); i != res.end(); i++)  
    {
    row=*i;
    n= (int)(row["nb"]);
    string s(row["config"]);
    if (s=="hqi") cfg.OUTHQI=out[n-1] ;
    if (s=="blue") cfg.OUTBLUE=out[n-1] ;
    if (s=="pump") cfg.OUTPUMP=out[n-1] ;
    if (s=="skimmer") cfg.OUTSKIMMER=out[n-1] ;
    if (s=="osmolation") cfg.OUTOSMOLATION=out[n-1] ;
    if (s=="temp") cfg.OUTTEMP=out[n-1] ;
    if (s=="rah") cfg.OUTRAH=out[n-1] ;
    if (s=="peri") cfg.OUTPERI=out[n-1] ;
    if (s=="vent") cfg.OUTVENT=out[n-1] ;
    }
}

catch (BadQuery& er) {
        // Handle any connection or query errors that may come up
        cerr << "Error: " << er.what() << endl;
            }
    catch (BadConversion& er) {
        // Handle bad conversions
        cerr << "Error: " << er.what() << "\"." << endl
            << "retrieved data size: " << er.retrieved
            << " actual data size: " << er.actual_size << endl;
        
    }
    catch (exception& er) {
        cerr << "Error: " << er.what() << endl;
        
    }

try{
query << "select * from parametres where nom='osmolation'";
res=query.store();
i = res.begin();    
row=*i;
cfg.TOSMOLATION=(int)(row["nb"]);
cfg.DEBIT=(double)(row["config"]);
}

catch (BadQuery& er) {
        // Handle any connection or query errors that may come up
        cerr << "Error: " << er.what() << endl;
            }
    catch (BadConversion& er) {
        // Handle bad conversions
        cerr << "Error: " << er.what() << "\"." << endl
            << "retrieved data size: " << er.retrieved
            << " actual data size: " << er.actual_size << endl;
        
    }
    catch (exception& er) {
        cerr << "Error: " << er.what() << endl;
        
    }

try{
query << "select nb from parametres where nom='starthqi'";
res=query.store();
i = res.begin();    
row=*i;
cfg.STARTHQI=(double)(row["nb"]);

}

catch (BadQuery& er) {
        // Handle any connection or query errors that may come up
        cerr << "Error: " << er.what() << endl;
            }
    catch (BadConversion& er) {
        // Handle bad conversions
        cerr << "Error: " << er.what() << "\"." << endl
            << "retrieved data size: " << er.retrieved
            << " actual data size: " << er.actual_size << endl;
        
    }
    catch (exception& er) {
        cerr << "Error: " << er.what() << endl;
        
    }

try{
query << "select config from parametres where nom='thqi'";
res=query.store();
i = res.begin();    
row=*i;
cfg.THQI=(double)(row["config"]);

}

catch (BadQuery& er) {
        // Handle any connection or query errors that may come up
        cerr << "Error: " << er.what() << endl;
            }
    catch (BadConversion& er) {
        // Handle bad conversions
        cerr << "Error: " << er.what() << "\"." << endl
            << "retrieved data size: " << er.retrieved
            << " actual data size: " << er.actual_size << endl;
        
    }
    catch (exception& er) {
        cerr << "Error: " << er.what() << endl;
        
    }

// get rah type 
try{
query << "select * from parametres where nom='rah'";
res=query.store();
i=res.begin();
row=*i;
cfg.RAH_TYPE=(int)(row["nb"]);
}
catch (BadQuery& er) {
        // Handle any connection or query errors that may come up
        cerr << "Error: " << er.what() << endl;
            }
    catch (BadConversion& er) {
        // Handle bad conversions
        cerr << "Error: " << er.what() << "\"." << endl
            << "retrieved data size: " << er.retrieved
            << " actual data size: " << er.actual_size << endl;
        
    }
    catch (exception& er) {
        cerr << "Error: " << er.what() << endl;
        
    }

try{
query << "select config,nb from parametres where nom='flowmeter'";
res=query.store();
i = res.begin();    
row=*i;
cfg.FLOWIMPULSE=(double)(row["config"]);
cfg.FLOWTYPE=(row["nb"]);

}

catch (BadQuery& er) {
        // Handle any connection or query errors that may come up
        cerr << "Error: " << er.what() << endl;
            }
    catch (BadConversion& er) {
        // Handle bad conversions
        cerr << "Error: " << er.what() << "\"." << endl
            << "retrieved data size: " << er.retrieved
            << " actual data size: " << er.actual_size << endl;
        
    }
    catch (exception& er) {
        cerr << "Error: " << er.what() << endl;
        
    }

try{
query << "select config from parametres where nom='ventilator'";
res=query.store();
i = res.begin();    
row=*i;
cfg.TMAX=(double)(row["config"]);
}

catch (BadQuery& er) {
        // Handle any connection or query errors that may come up
        cerr << "Error: " << er.what() << endl;
            }
    catch (BadConversion& er) {
        // Handle bad conversions
        cerr << "Error: " << er.what() << "\"." << endl
            << "retrieved data size: " << er.retrieved
            << " actual data size: " << er.actual_size << endl;
        
    }
    catch (exception& er) {
        cerr << "Error: " << er.what() << endl;
        
    }
try{
query << "select config from parametres where nom='lcd'";
res=query.store();
i = res.begin();    
row=*i;
cfg.LCD=(int)(row["config"]);
}

catch (BadQuery& er) {
        // Handle any connection or query errors that may come up
        cerr << "Error: " << er.what() << endl;
            }
    catch (BadConversion& er) {
        // Handle bad conversions
        cerr << "Error: " << er.what() << "\"." << endl
            << "retrieved data size: " << er.retrieved
            << " actual data size: " << er.actual_size << endl;
        
    }
    catch (exception& er) {
        cerr << "Error: " << er.what() << endl;
        
    }

try{
query << "select config from parametres where nom='sms'";
res=query.store();
i = res.begin();    
row=*i;
cfg.SMS=(int)(row["config"]);
}

catch (BadQuery& er) {
        // Handle any connection or query errors that may come up
        cerr << "Error: " << er.what() << endl;
            }
    catch (BadConversion& er) {
        // Handle bad conversions
        cerr << "Error: " << er.what() << "\"." << endl
            << "retrieved data size: " << er.retrieved
            << " actual data size: " << er.actual_size << endl;
        
    }
    catch (exception& er) {
        cerr << "Error: " << er.what() << endl;
        
    }
try{
query << "select config from parametres where nom='loglcd'";
res=query.store();
i = res.begin();    
row=*i;
cfg.LOGLCD=(int)(row["config"]);
}

catch (BadQuery& er) {
        // Handle any connection or query errors that may come up
        cerr << "Error: " << er.what() << endl;
            }
    catch (BadConversion& er) {
        // Handle bad conversions
        cerr << "Error: " << er.what() << "\"." << endl
            << "retrieved data size: " << er.retrieved
            << " actual data size: " << er.actual_size << endl;
        
    }
    catch (exception& er) {
        cerr << "Error: " << er.what() << endl;
        
    }


}


// get the forced status of outputs 
void connexion::get_forced(config &cfg)
{
Row row;
Result::iterator i;
mysqlpp::Query query= con.query();
mysqlpp::Result res;
int n;

try{
query << "select * from parametres where nom='output'";
res=query.store();

for (i = res.begin(); i != res.end(); i++)  
    {
    row=*i;
    n= (int)(row["nb"]);
    string s(row["config"]);
    if (s=="hqi") cfg.forced_hqi=(int)(row["forced"]);
    if (s=="blue") cfg.forced_blue=(int)(row["forced"]);
    if (s=="pump") cfg.forced_pump=(int)(row["forced"]);
    if (s=="skimmer") cfg.forced_skimmer=(int)(row["forced"]);
    if (s=="osmolation") cfg.forced_osmolation=(int)(row["forced"]);
    if (s=="temp") cfg.forced_temp=(int)(row["forced"]);
    if (s=="rah") cfg.forced_rah=(int)(row["forced"]);
    if (s=="peri") cfg.forced_peri=(int)(row["forced"]);
    if (s=="vent") cfg.forced_ventilator=(int)(row["forced"]);
    }
}

catch (BadQuery& er) {
        // Handle any connection or query errors that may come up
        cerr << "Error: " << er.what() << endl;
            }
    catch (BadConversion& er) {
        // Handle bad conversions
        cerr << "Error: " << er.what() << "\"." << endl
            << "retrieved data size: " << er.retrieved
            << " actual data size: " << er.actual_size << endl;
        
    }
    catch (exception& er) {
        cerr << "Error: " << er.what() << endl;
        
    }
}



// ckecks if the prog must be restarted
// 0-> no
// 1-> y
// 2-> y with reinit of bd
short connexion::get_start(void)
{
Row row;
Result::iterator i;
mysqlpp::Query query= con.query();
mysqlpp::Result res;
short type=0;

try{
query << "select nb from parametres where nom='start'";
res=query.store();
i = res.begin();    
row=*i;
type=(int)(row["nb"]);
}

catch (BadQuery& er) {
        // Handle any connection or query errors that may come up
        cerr << "Error: " << er.what() << endl;
            }
    catch (BadConversion& er) {
        // Handle bad conversions
        cerr << "Error: " << er.what() << "\"." << endl
            << "retrieved data size: " << er.retrieved
            << " actual data size: " << er.actual_size << endl;
        
    }
    catch (exception& er) {
        cerr << "Error: " << er.what() << endl;
        
    }
return type;
}

// set the start attribute to 0 in parametres table used int the starting process

void connexion::set_start(void)
{
mysqlpp::Query query= con.query();

try{
query << "DELETE FROM parametres WHERE (nom=\"start\")";
        // execute a query that does not return a result set
        query.execute();
query << "INSERT INTO parametres (nom,nb) VALUES('start','0')";


        // execute a query that does not return a result set
        query.execute();
    }

catch (BadQuery& er) {
        // Handle any connection or query errors that may come up
        cerr << "Error: " << er.what() << endl;
            }
    catch (BadConversion& er) {
        // Handle bad conversions
        cerr << "Error: " << er.what() << "\"." << endl
            << "retrieved data size: " << er.retrieved
            << " actual data size: " << er.actual_size << endl;
        
    }
    catch (exception& er) {
        cerr << "Error: " << er.what() << endl;
        
    }

}


// set the start attribute to -1 in parametres table

void connexion::set_stop(void)
{
mysqlpp::Query query= con.query();

try{
query << "DELETE FROM parametres WHERE (nom=\"start\")";
        // execute a query that does not return a result set
        query.execute();
query << "INSERT INTO parametres (nom,nb) VALUES('start','-1')";


        // execute a query that does not return a result set
        query.execute();
    }

catch (BadQuery& er) {
        // Handle any connection or query errors that may come up
        cerr << "Error: " << er.what() << endl;
            }
    catch (BadConversion& er) {
        // Handle bad conversions
        cerr << "Error: " << er.what() << "\"." << endl
            << "retrieved data size: " << er.retrieved
            << " actual data size: " << er.actual_size << endl;
        
    }
    catch (exception& er) {
        cerr << "Error: " << er.what() << endl;
        
    }

}

// set to 0 the water evaporation top up of the day

void connexion::maj_water(void)
{
mysqlpp::Query query= con.query();

try{
query << "REPLACE INTO water (type,quantity) VALUES(\"day\",0.0)";
        // execute a query that does not return a result set
        query.execute();


    }

catch (BadQuery& er) {
        // Handle any connection or query errors that may come up
        cerr << "Error: " << er.what() << endl;
            }
    catch (BadConversion& er) {
        // Handle bad conversions
        cerr << "Error: " << er.what() << "\"." << endl
            << "retrieved data size: " << er.retrieved
            << " actual data size: " << er.actual_size << endl;
        
    }
    catch (exception& er) {
        cerr << "Error: " << er.what() << endl;
        
    }

}


// construct bd
void connexion::construct(string s)
{
cout << "constructing bd" << endl;
system("mysql --exec=\"DROP DATABASE automate;\"");
system("mysql --exec=\"CREATE DATABASE automate;\"");

string temp= "mysql automate < "+s; 
system(temp.c_str());
}

// save bd
void connexion::save()
{
system("mysqldump --opt automate > automate.sql");
}

// close bd
void connexion::close()
{
con.close();
}
